# mandelbrot.cpp File Reference

Implementation of the "Mandelbrot Set" layer. More...

`#include "mandelbrot.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`

## Defines

#define | LOG_OF_2 0.69314718055994528623

## Functions

| SYNFIG_LAYER_INIT (Mandelbrot)
| SYNFIG_LAYER_SET_NAME (Mandelbrot,"mandelbrot")
| SYNFIG_LAYER_SET_LOCAL_NAME (Mandelbrot, N_("Mandelbrot Set"))
| SYNFIG_LAYER_SET_CATEGORY (Mandelbrot, N_("Fractals"))
| SYNFIG_LAYER_SET_VERSION (Mandelbrot,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Mandelbrot,"$Id$")
void | color_neg_flip (Color &color)

## Detailed Description

Implementation of the "Mandelbrot Set" layer.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define LOG_OF_2 0.69314718055994528623

## Function Documentation

SYNFIG_LAYER_INIT | ( | Mandelbrot |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Mandelbrot | ,
|  | "mandelbrot" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Mandelbrot | ,
|  | N_("Mandelbrot Set") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Mandelbrot | ,
|  | N_("Fractals") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Mandelbrot | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Mandelbrot | ,
|  | "$Id$" |  |
| ) |  |  |

void color_neg_flip | ( | Color & | color | ) | `[inline]`

References synfig::Color::get_a(), synfig::Color::get_b(), synfig::Color::get_g(), synfig::Color::get_r(), synfig::Color::set_b(), synfig::Color::set_g(), and synfig::Color::set_r().